#!/bin/bash

_install() {
    return 0
}

_check() {
	_check="PASS"
    if [[ $ENVFLAG = 'offline' ]];then
        return 0
    fi
    local kernel=`uname -r`
    local image_version=`cat /etc/image.ver |grep Image-Version|awk '{print $NF}'`
    local right_image=`/usr/bin/python $BASEDIR/utils/GetApolloConf.py "imageversion" "$kernel"`

    if [[ ! $right_image =~ $image_version ]];then
        _check="FAIL"
        PRINT_ERR "[ERROR] Current Image version=$image_version, Not Lastest, Please Update Image Media to $right_image ."
    fi

}
